<?php
/*
Plugin Name: Advanced WYSIWYG Editor
Plugin URI: http://www.labnotes.org/
Description: Adds more styling options to the WYSIWYG post editor, updated for multi-line buttons.
Version: 0.3
Author: Assaf Arkin
Author URI: http://labnotes.org/
License: Creative Commons Attribution-ShareAlike
Tags: wordpress tinymce
*/

if (isset($wp_version)) {
    add_filter("mce_plugins", "extended_editor_mce_plugins", 0);
    add_filter("mce_buttons", "extended_editor_mce_buttons", 0);
    add_filter("mce_buttons_2", "extended_editor_mce_buttons_2", 0);
    add_filter("mce_buttons_3", "extended_editor_mce_buttons_3", 0);
}


function extended_editor_mce_plugins($plugins) {
    array_push($plugins, "table", "fullscreen", "searchreplace", "advhr", "advimage");
    return $plugins;
}


function extended_editor_mce_buttons($buttons) {
return array(
        "undo", "redo", "separator", "cut", "copy", "paste", "separator", "bold", "italic", "underline", "strikethrough", "separator",
        "bullist", "numlist", "separator", "indent", "outdent", "separator",
        "justifyleft", "justifycenter", "justifyright", "justifyfull", "separator",
        "sub", "sup", "charmap", "hr", "advhr","separator", "link", "unlink", "anchor", "separator",
        "code", "cleanup", "separator", "search", "replace", "separator", "wphelp");
}

function extended_editor_mce_buttons_2($buttons) {
    // the second toolbar line
return array(
        "formatselect", "fontselect", "fontsizeselect", "styleselect", "separator", "forecolor", "backcolor", "separator","removeformat");
}

function extended_editor_mce_buttons_3($buttons) {
    // These are the buttons for third toolbar line
return array(
         "image", "separator", "tablecontrols", "separator", "fullscreen", "wordpress");
}
?>